Bug 445145 - kwin crashed and caused the signal 11 (SIGSEGV)
kwin crashed and caused the signal 11 (SIGSEGV)
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
rawhide
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-04 14:26 EDT by Martin Naď
Modified: 2008-05-07 12:45 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-07 12:45:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 161753 None None None Never

  None (edit)
Description Martin Naď 2008-05-04 14:26:26 EDT
Description of problem:
kwin crashed and caused the signal 11 (SIGSEGV)

(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 0x7f86950f0790 (LWP 2429)]
[New Thread 0x42644950 (LWP 5933)]
(no debugging symbols found)
[KCrash handler]
#5  0x000000368eefd065 in QMetaObject::activate ()
   from /usr/lib64/libQtCore.so.4
#6  0x000000368ee9f611 in QProcess::stateChanged ()
   from /usr/lib64/libQtCore.so.4
#7  0x000000368eea4eba in ?? () from /usr/lib64/libQtCore.so.4
#8  0x000000368eed3c48 in ?? () from /usr/lib64/libQtCore.so.4
#9  0x000000368ee9f87c in QProcess::waitForFinished ()
   from /usr/lib64/libQtCore.so.4
#10 0x000000368ee9fdf3 in QProcess::~QProcess ()
   from /usr/lib64/libQtCore.so.4
#11 0x000000369042b6d7 in ?? () from /usr/lib64/libkdeinit4_kwin.so
#12 0x000000368f4f20dd in NETRootInfo::event () from /usr/lib64/libkdeui.so.5
#13 0x000000369044b661 in ?? () from /usr/lib64/libkdeinit4_kwin.so
#14 0x0000003690439188 in ?? () from /usr/lib64/libkdeinit4_kwin.so
#15 0x000000368dbd79ff in ?? () from /usr/lib64/libQtGui.so.4
#16 0x000000368dbe290e in QApplication::x11ProcessEvent ()
   from /usr/lib64/libQtGui.so.4
#17 0x000000368dc06bfc in ?? () from /usr/lib64/libQtGui.so.4
#18 0x0000003cb9e3749b in g_main_context_dispatch ()
   from /lib64/libglib-2.0.so.0
#19 0x0000003cb9e3ac7d in ?? () from /lib64/libglib-2.0.so.0
#20 0x0000003cb9e3ae3b in g_main_context_iteration ()
   from /lib64/libglib-2.0.so.0
#21 0x000000368ef0a741 in QEventDispatcherGlib::processEvents ()
   from /usr/lib64/libQtCore.so.4
#22 0x000000368dc0647f in ?? () from /usr/lib64/libQtGui.so.4
#23 0x000000368eee98a8 in QEventLoop::processEvents ()
   from /usr/lib64/libQtCore.so.4
#24 0x000000368eee9a85 in QEventLoop::exec () from /usr/lib64/libQtCore.so.4
#25 0x000000368eeecbc7 in QCoreApplication::exec ()
   from /usr/lib64/libQtCore.so.4
#26 0x000000369043cbb2 in kdemain () from /usr/lib64/libkdeinit4_kwin.so
#27 0x0000003cb861e32a in __libc_start_main () from /lib64/libc.so.6
#28 0x00000000004007e9 in _start ()
#0  0x0000003cb86a6251 in nanosleep () from /lib64/libc.so.6

Version-Release number of selected component (if applicable):


How reproducible:
sometime

Steps to Reproduce:
1.run krusader,opera,jabbim,ktorrent in sys.tray and amarok
2.wait a few second
3.kwin crashed
  
Actual results:
kwin sometime crashed

Expected results:
kwin not crashed

Additional info:
Comment 1 Martin Naď 2008-05-04 14:29:34 EDT
Version-Release number of selected component (if applicable):
kdebase-4.0.3-9.fc9.x86_64
Comment 2 Steven M. Parrish 2008-05-06 12:07:12 EDT
Checked upstream, and unable to find a similar report.  Please file an upstream
report at http://bugs.kde.org then update this report with the bug info.
Comment 3 Martin Naď 2008-05-07 12:33:46 EDT
http://bugs.kde.org/show_bug.cgi?id=161753

Note You need to log in before you can comment on or make changes to this bug.